pkgsrc-Changes-HG archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
[pkgsrc/trunk]: pkgsrc Update sysutils/mklivecd to 0.6.
details: https://anonhg.NetBSD.org/pkgsrc/rev/c35765404771
branches: trunk
changeset: 474503:c35765404771
user: xtraeme <xtraeme%pkgsrc.org@localhost>
date: Sat May 01 10:46:10 2004 +0000
description:
Update sysutils/mklivecd to 0.6.
Changes:
o Default location for kernels is /boot/grub.
o Improved messages.
o Fix wrong permissions in $ISODIR.
diffstat:
doc/CHANGES | 3 +-
sysutils/mklivecd/Makefile | 4 +-
sysutils/mklivecd/files/mklivecd.sh | 42 +++++++++++++++++++++---------------
3 files changed, 28 insertions(+), 21 deletions(-)
diffs (100 lines):
diff -r eef09c98fb4d -r c35765404771 doc/CHANGES
--- a/doc/CHANGES Sat May 01 10:37:57 2004 +0000
+++ b/doc/CHANGES Sat May 01 10:46:10 2004 +0000
@@ -1,4 +1,4 @@
-$NetBSD: CHANGES,v 1.5782 2004/04/30 23:33:37 snj Exp $
+$NetBSD: CHANGES,v 1.5783 2004/05/01 10:46:10 xtraeme Exp $
Changes to the packages collection and infrastructure in 2004:
@@ -2304,3 +2304,4 @@
Updated sablevm-classpath to 1.1.3 [jmmv 2004-04-30]
Updated sablevm-classpath-gui to 1.1.3 [jmmv 2004-04-30]
Updated gqview to 1.4.3 [snj 2004-04-30]
+ Updated mklivecd to 0.6 [xtraeme 2004-05-01]
diff -r eef09c98fb4d -r c35765404771 sysutils/mklivecd/Makefile
--- a/sysutils/mklivecd/Makefile Sat May 01 10:37:57 2004 +0000
+++ b/sysutils/mklivecd/Makefile Sat May 01 10:46:10 2004 +0000
@@ -1,6 +1,6 @@
-# $NetBSD: Makefile,v 1.6 2004/04/27 15:34:19 xtraeme Exp $
+# $NetBSD: Makefile,v 1.7 2004/05/01 10:46:11 xtraeme Exp $
-DISTNAME= mklivecd-0.5
+DISTNAME= mklivecd-0.6
CATEGORIES= sysutils
MASTER_SITES= # empty
DISTFILES= # empty
diff -r eef09c98fb4d -r c35765404771 sysutils/mklivecd/files/mklivecd.sh
--- a/sysutils/mklivecd/files/mklivecd.sh Sat May 01 10:37:57 2004 +0000
+++ b/sysutils/mklivecd/files/mklivecd.sh Sat May 01 10:46:10 2004 +0000
@@ -1,6 +1,6 @@
#!/bin/sh
#
-# $NetBSD: mklivecd.sh,v 1.12 2004/04/27 16:33:12 xtraeme Exp $
+# $NetBSD: mklivecd.sh,v 1.13 2004/05/01 10:46:11 xtraeme Exp $
#
# Copyright (c) 2004 Juan RP <xtraeme%NetBSD.org@localhost>
# All rights reserved.
@@ -246,31 +246,37 @@
[ ! -d $ISODIR/$BOOTDIR ] && mkdir -p $ISODIR/$BOOTDIR
for f in $GRUB_FILES
do
- cp @PREFIX@/share/grub/@MACHINE_ARCH@-/$f \
- $ISODIR/$BOOTDIR
- if [ "$verbose_mode" = "on" ]; then
- showmsg "Copying $f into $ISODIR/boot/grub."
+ if [ ! -f $ISODIR/$BOOTDIR/$f ]; then
+ cp @PREFIX@/share/grub/@MACHINE_ARCH@-/$f \
+ $ISODIR/$BOOTDIR
+ [ "$verbose_mode" = "on" ] && \
+ showmsg "Copying $f into $ISODIR/boot/grub."
+ else
+ showmsg "Not copying $f, already exists."
fi
done
- cp $WORKDIR/$KERNEL_NAME/netbsd $ISODIR
- make clean >/dev/null 2>&1
- rm -rf $KERNEL_NAME
- echo
- showmsg "Build successful"
- if [ "$verbose_mode" = "on" ]; then
- showmsg "Boot/kernel image installed!"
- showmsg "Next step: ${progname} base"
+ cp $WORKDIR/$KERNEL_NAME/netbsd $ISODIR/$BOOTDIR
+ if [ $? -eq 0 ]; then
+ showmsg "boot/kernel installed.."
+ if [ "$verbose_mode" = "on" ]; then
+ showmsg "Boot/kernel images installed!"
+ showmsg "Next step: ${progname} base"
+ fi
+ echo
+ make clean >/dev/null 2>&1
+ rm -rf $KERNEL_NAME
+ else
+ showmsg "Couldn't install the kernel."
fi
- echo
else
echo
- showmsg "Build failed"
- showmsg "Boot/kernel image not installed!"
+ showmsg "kernel build failed."
+ showmsg "Boot/kernel images were not installed!"
echo
fi
;;
base)
- chown -R root:wheel $ISODIR/netbsd $ISODIR/$BOOTDIR
+ chown -R root:wheel $ISODIR/$BOOTDIR
for F in ${BASE_SETS}
do
@@ -343,7 +349,7 @@
cat > $ISODIR/etc/rc.d/root <<_EOF_
#!/bin/sh
#
-# \$NetBSD: mklivecd.sh,v 1.12 2004/04/27 16:33:12 xtraeme Exp $
+# \$NetBSD: mklivecd.sh,v 1.13 2004/05/01 10:46:11 xtraeme Exp $
#
# PROVIDE: root
Home |
Main Index |
Thread Index |
Old Index